using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
	class ColliderDebug : MonoBehaviour
    {
        void Update()
        {
            foreach (Collider2D coller in gameObject.GetComponents<Collider2D>())
            {
                ModAPI.Draw.Collider(coller); //Instance.AddComponent<ColliderDebug>(); (add this to instances)
            }
        }
    }
    public class Mod
    {
        public static void Main()
        {
	            CategoryBuilder.Create("LSA:RUSIA", "Operation Land, Sea, Air: Russia", ModAPI.LoadSprite("CategoryTN.png"));			
		
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Russian Ratnik Soldier",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "infantry soldiers in the front row ready to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/RatnikSoldiericon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("RatnikSoldier.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Russian Ratnik Soldier Variant 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "infantry soldiers in the front row ready to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/RatnikSoldiericon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("RatnikSoldier2.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Russian Gorka-4 BARS Soldier",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "infantry soldiers in the front row ready to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Gorkaicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("GorkaSoldier.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Russian Gorka-4 BARS Soldier Variant 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "infantry soldiers in the front row ready to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Gorkaicon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("GorkaSoldier2.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Russian Gorka-4 BARS Soldier Variant 3",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "infantry soldiers in the front row ready to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Gorkaicon3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("GorkaSoldier3.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Spetsnaz Soldier",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "one of the most feared and lethal special forces in the world.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/SpetSSOicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SF/SpetsnazACUSoldier.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Spetsnaz Soldier With Mask",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "one of the most feared and lethal special forces in the world.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/SpetSSOicon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SF/SpetsnazACUSoldier2.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Spetsnaz Soldier Variation 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "one of the most feared and lethal special forces in the world.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/SpetSSOicon3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SF/SpetsnazACUSoldier3.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Spetsnaz Soldier Variation 2 with mask",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "one of the most feared and lethal special forces in the world.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/SpetSSOicon4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SF/SpetsnazACUSoldier4.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );
			
			 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Russian Support", //name
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "soldier capable of eliminating quite a few enemies with his almost unstoppable suit.", //description
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("icons/RussianSupporticon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("RussianSupport.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f); //number is pixel scale
                    }
                }
            );


			 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Russian Tanker", //name
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "able to pilot an iron titan capable of destroying thousands of soldiers.", //description
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("icons/RussianTankerIcon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("RussianTanker.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f); //number is pixel scale
                    }
                }
            );


			 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Russian Pilot", //name
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "fly through the skies, destroy you in seconds...", //description
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("icons/RussianPiloticon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("RussianPilot.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f); //number is pixel scale
                    }
                }
            );

                          ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Russian Navy Soldier",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "sailing the seas and protecting his nation underwater.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/RussianNavyicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("RussianNavySoldier.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            ); 

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Artic Soldier",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "infantry soldiers in the front row ready to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/ArticSoldiericon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("ArticSoldier.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Artic Soldier Variant 2", //name
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "infantry soldiers in the front row ready to protect their nation.", //description
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("icons/ArticSoldiericon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("ArticSoldier2.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f); //number is pixel scale
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Russian Pilot Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "flying in the air at full speed is quite hard and difficult to breathe, that's why they wear helmets for.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/RUpiloticon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("RussianPilotHelmet.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "6B47 helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a helmet for steel soldiers willing to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/RUicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("6B47helmet.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "6B47 helmet Goggles Variant",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a helmet for steel soldiers willing to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/RUiconG.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("6B47helmet2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "6B47 helmet Goggles Off Variant",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a helmet for steel soldiers willing to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/RUiconG.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("6B47helmet3.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "6B47 helmet Camo Variant (EMR)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a helmet for steel soldiers willing to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/RUiconCamo.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("6B47helmetCamo.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "6B47 helmet Goggles Variant (EMR)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a helmet for steel soldiers willing to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/RUiconCamoG.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("6B47helmetCamo2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "6B47 helmet Goggles Off Variant (EMR)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a helmet for steel soldiers willing to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/RUiconCamoG.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("6B47helmetCamo3.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Spetsnaz Fast Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a helmet for steel soldiers willing to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Fasticon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/FastACU.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Spetsnaz Fast Helmet Variant 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a helmet for steel soldiers willing to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Fasticon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/FastACU2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
 
                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Spetsnaz Fast Helmet Variant 3",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a helmet for steel soldiers willing to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Fasticon3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/FastACU3.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Spetsnaz Fast Helmet Variant 4",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a helmet for steel soldiers willing to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Fasticon4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/FastACU4.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Spetsnaz Fast Helmet with NvG",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a helmet for steel soldiers willing to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Fasticon5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/FastACU5.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Spetsnaz Fast Helmet with NvG Variant 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a helmet for steel soldiers willing to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Fasticon6.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/FastACU6.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );



                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "ZSH12M helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a helmet for steel soldiers willing to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/ZSH12icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ZSH12Mhelmet.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "ZSH12M helmet Variant 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a helmet for steel soldiers willing to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/ZSH12icon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ZSH12Mhelmet2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "CVC helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a helmet for steel soldiers willing to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/CVCicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("CVChelmet.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );


                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Black Beanie",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a beanie that will save you from the cold on your head in extreme areas.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/RUBeanieicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BlackBeanie.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );  

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "GP5 Gas Mask",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "old but reliable mask, capable of stopping even the worst gas.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GP5gasicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("GP5gasmask.png", 5.3f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
						 			          						

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "RPK-74",
                 DescriptionOverride = "modern russian weapon for russian support soldiers",
                 CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/Rpkicon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("rpk74slide.png", 10f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("rpk74.png", 10f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/rpk74.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "AK-107",
                 DescriptionOverride = "modern russian weapon for russian group Ratnik",
                 CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/Akicon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ak107slide.png", 21f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ak107.png", 21f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/rpk74.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Tactical AK-105",
                 DescriptionOverride = "modern tatical russian weapon for Spetsnaz Group",
                 CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/TacticAk105icon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/Ak105slide.png", 21f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/Ak105.png", 21f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/ak105.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Camouflaged Tactical AK-105",
                 DescriptionOverride = "modern tatical russian weapon for Spetsnaz Group",
                 CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/TacticAk105icon2.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/2Ak105slide.png", 21f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/2Ak105.png", 21f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/ak105.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Tactical AK-105 With Attachments",
                 DescriptionOverride = "modern tatical russian weapon for Spetsnaz Group",
                 CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/TacticAk105icon3.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/3Ak105slide.png", 21f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/3Ak105.png", 21f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/ak105s.wav"),
                     };
                 }
             }
             ); ;

ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Camouflaged Tactical AK-105 With Attachments",
                 DescriptionOverride = "modern tatical russian weapon for Spetsnaz Group",
                 CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/TacticAk105icon4.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/4Ak105slide.png", 21f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/4Ak105.png", 21f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/ak105s.wav"),
                     };
                 }
             }
             ); ;

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Lazutchik vest top",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Lazuicon1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Lazrus1.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );  

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Lazutchik vest bottom",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Lazuicon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Lazrus2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );  
                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Lazutchik vest top Camo Variant (EMR)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Lazuicon1Camo.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Lazrus1Camo.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );  

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Lazutchik vest bottom Camo Variant (EMR)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Lazuicon2Camo.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Lazrus2Camo.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );  

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Lazutchik vest bottom for backpacks (EMR)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Lazuicon2CamoBackpack.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Lazrus2CamoBackpack.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Lazutchik SSO Rig vest top",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/SSOicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SSORig.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Lazutchik SSO Rig vest bottom",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/SSOicon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SSORig2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Spetsnaz Vest top",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/SpetVesticon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/SpestnazVest.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Spetsnaz Vest bottom",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/SpetVesticon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/SpestnazVest2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Tactical Spetsnaz Belt",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a belt containing medicine, more ammo and a pistol belt.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/TacticBelticon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/TacticalBelt.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
	    );   

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Right MilTec Green Knee Pads",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "protect your fragile knees with mil tec",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/RUkneesicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MilTecKneePads.png", 55f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );  

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Left MilTec Green Knee Pads",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "protect your fragile knees with mil tec",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/RUkneesicon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MilTecKneePads2.png", 55f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperLeg";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Right Green Tactical Knee Pads",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "protect your fragile knees like a special forces",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/TacticKneesicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/GreenTacticalKneePads.png", 47f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Left Green Tactical Knee Pads",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "protect your fragile knees like a special forces",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/TacticKneesicon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/GreenTacticalKneePads2.png", 47f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperLeg";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );    



                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Russian Summer Tank Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a helmet for steel soldiers willing to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/RUiconTank.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("RussianTankHat.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Trekking Backpack",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "good fabric, resistant, made to store many things even heavy.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/RuTrekicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("TrekkingBackpack.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 0;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Altyn K6-3 helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "if the russians are steel men, these are titans.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/RuAltynicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("RuAltynK63.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "6B45 Vest Top",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Are you ready to withstand quite a few enemy bullets with this vest?",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/RU6B45.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("6B45V.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );    
   
                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "6B45 Vest Bottom",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Are you ready to withstand quite a few enemy bullets with this vest?",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/RU6B452.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("6B45V2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "6B45 Right Shoulder Pad",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "equip yourself with the 6B45 vest and you will be an unkillable man",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Shouldericon1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("6b45Shoulderpad1.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            ); 

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "6B45 Left Shoulder Pad",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "equip yourself with the 6B45 vest and you will be an unkillable man",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Shouldericon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("6b45Shoulderpad2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperArm";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Russian Navy Hat",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "the cap that names you a murderer in the water.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/RUionNavy.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("RussianNavyHat.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Russian Navy Hat 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "the cap that names you a murderer in the water.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/RUionNavy2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("RussianNavyHat2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "MP433 Grach",
                 DescriptionOverride = "a 9×19mm pistol can be turned into a war machine.",
                 CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/mp433icon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mp443bolt.png", 37f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mp443.png",37f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
					 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.250f, 0.1200f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);					 
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
					  Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/mp.mp3"),
                     };
                 }
             }
             ); ; 

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Artic 6B47 helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a helmet for steel soldiers willing to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/RUiconArtic.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("6B47helmetArtic.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "MultiSnow 6B47 helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a helmet for steel soldiers willing to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/RUiconMultiSnow.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("6B47helmetMultiSnow.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Artic Lazutchik vest top",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/LazrusArticicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Lazrus1Artic.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );  

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Artic Lazutchik vest bottom",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/LazrusArticicon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Lazrus2Artic.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );  

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Multi Snow Lazutchik vest top",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/LazrusMultiIcon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("LazrusMultiSnow.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );  

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Multi Snow Lazutchik vest bottom",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/LazrusMultiIcon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Lazrus2MultiSnow.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "As Val",
                 DescriptionOverride = "a silent but lethal weapon, for Ratnik group or better branches",
                 CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/asvalicon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("asvalslide.png", 21f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("asval.png", 21f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/assval.wav"),
                     };
                 }
             }
             ); ;


                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "SVD Dragunov",
                 DescriptionOverride = "one of the best known and deadliest snipers in russia, its effectiveness is 97%.",
                 CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/RUdragonicon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SVDdragunovslide.png", 22f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SVDdragunov.png", 22f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/svd.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "VSS Vintorez",
                 DescriptionOverride = "one of the best silent and deadliest snipers in russia, its effectiveness is 98,6%.",
                 CategoryOverride = ModAPI.FindCategory("LSA:RUSIA"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/vintorezicon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("VSSvintorezslide.png", 21f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("VSSvintorez.png", 21f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 3f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/vss.mp3"),
                     };
                 }
             }
             ); ;
        } 
    }
	
}